%define	basefontdir	%{_datadir}/fonts/chinese
%define	ttfontdir	%{basefontdir}/TrueType
%define	miscfontdir	%{basefontdir}/misc
%define cidmapdir   %{_sysconfdir}/ghostscript

%define beta 0.dot.3
%define ver 0.1
%define taipeiver 1.2

Summary:    Chinese TrueType Font -- Simplified and Traditional Chinese Ming and Kai Face.
Name:		fonts-chinese
Version:    3.02
Release: 4.1
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:     http://apt.debian.org.tw/pool/t/ttf-arphic-uming/ttf-arphic-uming_%{ver}-%{beta}.tar.gz
Source1:    http://apt.debian.org.tw/pool/t/ttf-arphic-ukai/ttf-arphic-ukai_%{ver}-%{beta}.tar.gz
Source2:    taipeifonts-%{taipeiver}.tar.gz
Source9:    taipeifonts.alias
Source10:	arphicpl.txt
Source11:	arphicpl-big5.txt
Source12:	arphicpl-gb.txt
Source13:	arphic-release.txt
Source20:	FAPIcidfmap.zh_TW
Source21:	FAPIcidfmap.zh_CN
Source22:	cidfmap.zh_TW
Source23:	cidfmap.zh_CN

Requires(post): ttmkfdir >= 3.0.6, mkfontdir, fontconfig, /usr/sbin/chkfontpath
Requires(postun): fontconfig, /usr/sbin/chkfontpath
Obsoletes:	ttfonts-zh_CN ttfonts-zh_TW ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai taipeifonts

%description
Chinese TTF Fonts donated by Arphic company, with additional Hong Kong characters by Hong Kong font project and bitmap by F
irefly. Read license files for details.

%prep
tar xzvf %{SOURCE0} 
tar xzvf %{SOURCE1}
tar xzvf %{SOURCE2}

%build
mkdir -p %{name}-%{version}/doc
pushd taipeifonts-%{taipeiver}/
bdftopcf taipei24.bdf | gzip -c > taipei24.pcf.gz
bdftopcf taipei20.bdf | gzip -c > taipei20.pcf.gz
bdftopcf taipei16.bdf | gzip -c > taipei16.pcf.gz
popd

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{ttfontdir}
install -d $RPM_BUILD_ROOT%{miscfontdir}
install -m 0644 ttf-arphic-ukai-%{ver}/ukai.ttf $RPM_BUILD_ROOT%{ttfontdir}/
install -m 0644 ttf-arphic-uming-%{ver}/uming.ttf $RPM_BUILD_ROOT%{ttfontdir}/
install -m 644 taipeifonts-%{taipeiver}/taipei24.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/taipei20.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/taipei16.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 taipeifonts-%{taipeiver}/vga12x24.pcf.gz $RPM_BUILD_ROOT%{miscfontdir}
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{miscfontdir}/fonts.alias


# for ghostscript
install -d $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE20} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE21} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE22} $RPM_BUILD_ROOT%{cidmapdir}/
install -m 0644 %{SOURCE23} $RPM_BUILD_ROOT%{cidmapdir}/

cp %{SOURCE10} %{SOURCE11} %{SOURCE12} $RPM_BUILD_DIR/%{name}-%{version}/doc/
cp %{SOURCE13} $RPM_BUILD_DIR/%{name}-%{version}/doc/release.txt

# for dummy
touch $RPM_BUILD_ROOT%{basefontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{ttfontdir}/fonts.scale
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.dir
touch $RPM_BUILD_ROOT%{miscfontdir}/fonts.scale

%clean
rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133
	touch %{ttfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{ttfontdir} -o %{ttfontdir}/fonts.scale
	    mkfontdir %{ttfontdir}
		/usr/sbin/chkfontpath -q -a %{ttfontdir}
	}

	touch %{miscfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{miscfontdir} -o %{miscfontdir}/fonts.scale
	    mkfontdir %{ttfontdir}
		/usr/sbin/chkfontpath -q -a %{miscfontdir}
	}
	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{ttfontdir}
    /usr/sbin/chkfontpath -q -r %{miscfontdir}

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache 2> /dev/null
fi

%files
%defattr(-, root, root)
%doc $RPM_BUILD_DIR/%{name}-%{version}/doc/
%dir %{basefontdir}
%dir %{ttfontdir}
%dir %{miscfontdir}
%dir %{cidmapdir}
%{ttfontdir}
%{miscfontdir}
%ghost %verify(not md5 size mtime) %{basefontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.cache-1
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{ttfontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.dir
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.scale
%ghost %verify(not md5 size mtime) %{miscfontdir}/fonts.cache-1
%{cidmapdir}/FAPIcidfmap.zh_TW
%{cidmapdir}/FAPIcidfmap.zh_CN
%{cidmapdir}/cidfmap.zh_TW
%{cidmapdir}/cidfmap.zh_CN

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 17 2005 Warren Togami <wtogami@redhat.com> - 3.02-4
- req(foo,bar) syntax breaks erasure ordering

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> - 3.02-3
- fix mkfontdir call

* Tue Nov 15 2005 Warren Togami <wtogami@redhat.com> - 3.02-2
- use less fragile way to call mkfontdir

* Tue Nov 15 2005 Leon Ho <llch@redhat.com> - 3.02-1
- migrate taipeifonts to this package

* Mon Nov 14 2005 Warren Togami <wtogami@redhat.com> - 3.01-3
- rebuild against modular X

* Wed Nov 09 2005 Leon Ho <llch@redhat.com> - 3.01-2
- updated to use which to search for mkfontdir
- update to Requires: mkfontdir.

* Mon Nov 07 2005 Leon Ho <llch@redhat.com> - 3.01-1
- update uming and ukai to 0.1-0.dot.3

* Fri Sep 02 2005 Leon Ho <llch@redhat.com> - 3.00.pre2-1
- Upgrade to pre2 fonts

* Thu Aug 17 2005 Leon Ho <llch@redhat.com> - 3.00.pre1-1
- Move to uMing and uKai with HKSCS and Bitmap glyphs
- combined FAPIcidfmap.{zh_TW,zh_CN} into FAPIcidfmap.zh

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-4
- Added cidfmap.zh_CN and cidfmap.zh_TW for the latest ghostscript.

* Thu Jul 14 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-3
- use FAPIcidfmap instead of CIDFnmap for gs8.

* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-2
- Updated the font path in CIDFnmap.{zh_CN,zh_TW} (John Thacker, #155404)

* Thu Feb 24 2004 Leon Ho <llch@redhat.com>
- merge from ttfonts-zh_CN and ttfonts-zh_TW
